package cn.com.qmth.examcloud.core.examwork.api.provider;

import cn.com.qmth.examcloud.api.commons.enums.CURD;
import cn.com.qmth.examcloud.api.commons.enums.ExamType;
import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.commons.helpers.DynamicEnum;
import cn.com.qmth.examcloud.commons.helpers.DynamicEnumManager;
import cn.com.qmth.examcloud.core.examwork.base.enums.ExamProperty;
import cn.com.qmth.examcloud.core.examwork.dao.*;
import cn.com.qmth.examcloud.core.examwork.dao.entity.*;
import cn.com.qmth.examcloud.core.examwork.service.NoticeService;
import cn.com.qmth.examcloud.core.examwork.service.bean.ExamInfo;
import cn.com.qmth.examcloud.core.examwork.service.impl.ExamServiceImpl;
import cn.com.qmth.examcloud.examwork.api.ExamCloudService;
import cn.com.qmth.examcloud.examwork.api.NoticeCloudService;
import cn.com.qmth.examcloud.examwork.api.bean.ExamBean;
import cn.com.qmth.examcloud.examwork.api.bean.ExamCourseRelationBean;
import cn.com.qmth.examcloud.examwork.api.bean.ExamPaperTypeRelation;
import cn.com.qmth.examcloud.examwork.api.bean.ExamSpecialSettingsBean;
import cn.com.qmth.examcloud.examwork.api.request.*;
import cn.com.qmth.examcloud.examwork.api.response.*;
import cn.com.qmth.examcloud.web.helpers.GlobalHelper;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.persistence.criteria.Predicate;
import java.util.*;

/**
 * 考试云服务
 *
 * @author WANGWEI
 * @date 2018年11月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Transactional
@RestController
@RequestMapping("${$rmp.cloud.examwork}" + "notice")
public class NoticeCloudServiceProvider extends ControllerSupport implements NoticeCloudService {


	@Autowired
	private NoticeService noticeService;

	@ApiOperation(value = "处理发布中的用户通知数据")
	@PostMapping("disposePublishingUserNotice")
	@Override
	public void disposePublishingUserNotice() {
		noticeService.disposePublishingUserNotice();
	}


	@ApiOperation(value = "清理过期的通知数据")
	@PostMapping("disposeOverdueNotice")
	@Override
	public void disposeOverdueNotice() {
		noticeService.disposeOverdueNotice();
	}

}
